PDF417Common (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.pdf417, class: PDF417Common

Package com.google.zxing.pdf417

# Class PDF417Common

java.lang.Object
com.google.zxing.pdf417.PDF417Common

public final class PDF417Common extends Object

Author:
  SITA Lab (kevin.osullivan@sita.aero), Guenther Grau

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BARS_IN_MODULE`
  `static final int`
  `MAX_CODEWORDS_IN_BARCODE`
  `static final int`
  `MAX_ROWS_IN_BARCODE`
  `static final int`
  `MIN_ROWS_IN_BARCODE`
  `static final int`
  `MODULES_IN_CODEWORD`
  `static final int`
  `MODULES_IN_STOP_PATTERN`
  `static final int`
  `NUMBER_OF_CODEWORDS`
  `static final int[]`
  `SYMBOL_TABLE`
  The sorted table of all possible symbols.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getBitCountSum(int[] moduleBitCount)`
  Deprecated.
  call `MathUtils.sum(int[])`
  `static int`
  `getCodeword(int symbol)`
  `static int[]`
  `toIntArray(Collection<Integer> list)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NUMBER_OF_CODEWORDS

    public static final int NUMBER_OF_CODEWORDS
    See Also:
      - Constant Field Values

  - ### MAX_CODEWORDS_IN_BARCODE

    public static final int MAX_CODEWORDS_IN_BARCODE
    See Also:
      - Constant Field Values

  - ### MIN_ROWS_IN_BARCODE

    public static final int MIN_ROWS_IN_BARCODE
    See Also:
      - Constant Field Values

  - ### MAX_ROWS_IN_BARCODE

    public static final int MAX_ROWS_IN_BARCODE
    See Also:
      - Constant Field Values

  - ### MODULES_IN_CODEWORD

    public static final int MODULES_IN_CODEWORD
    See Also:
      - Constant Field Values

  - ### MODULES_IN_STOP_PATTERN

    public static final int MODULES_IN_STOP_PATTERN
    See Also:
      - Constant Field Values

  - ### BARS_IN_MODULE

    public static final int BARS_IN_MODULE
    See Also:
      - Constant Field Values

  - ### SYMBOL_TABLE

    public static final int[] SYMBOL_TABLE
    The sorted table of all possible symbols. Extracted from the PDF417 specification. The index of a symbol in this table corresponds to the index into the codeword table.

- ## Method Details

  - ### getBitCountSum

    @Deprecated public static int getBitCountSum(int[] moduleBitCount)
    Deprecated.
    call `MathUtils.sum(int[])`
    Parameters:
      `moduleBitCount` - values to sum
    Returns:
      sum of values

  - ### toIntArray

    public static int[] toIntArray(Collection<Integer> list)

  - ### getCodeword

    public static int getCodeword(int symbol)
    Parameters:
      `symbol` - encoded symbol to translate to a codeword
    Returns:
      the codeword corresponding to the symbol.